Summary:    OpenStack Sphinx Extensions
Name:       python-oslo-sphinx
Version:    4.18.0
Release:    6%{?dist}
License:    ASL 2.0
URL:        https://launchpad.net/oslo
Source0:    https://tarballs.openstack.org/oslosphinx/oslosphinx-%{version}.tar.gz
Patch3000:  sphnix-app-info.diff

BuildRequires: python3-devel python3-setuptools python3-requests >= 2.14.2
BuildRequires: python3-d2to1 python3-pbr python3-sphinx
Requires:      python3-setuptools python3-requests >= 2.14.2
Requires:      python3-pbr python3-six >= 1.10.0

BuildArch:  noarch

%description
The Oslo project intends to create a python library containing infrastructure code shared 
by OpenStack projects. The APIs provided  by the project should be high quality, stable, 
consistent and generally useful.

This package provides a library containing Sphinx theme and extensions support used by OpenStack.

%package -n python3-oslo-sphinx
Summary:    OpenStack Sphinx Extensions
Provides:   python3-oslo-sphinx = %{version}-%{release}

%description -n python3-oslo-sphinx
The Oslo project intends to create a python library containing infrastructure code shared 
by OpenStack projects. The APIs provided  by the project should be high quality, stable, 
consistent and generally useful.

This package provides a library containing Sphinx theme and extensions support used by OpenStack.

%prep
%autosetup -n oslosphinx-%{version} -p1

rm -rf oslo_sphinx.egg-info
rm -rf {test-,}requirements.txt

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__python3} setup.py test

%files -n python3-oslo-sphinx
%license LICENSE
%doc README.rst
%{python3_sitelib}/oslosphinx
%{python3_sitelib}/oslosphinx*.egg-info

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.18.0-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.18.0-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.18.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.18.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.18.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 10 2023 Wang Guodong <gordonwwang@tencent.com> - 4.18.0-1
- initial build
